Skip to main content
GET
/
v1
/
directory-integration
/
scim
/
v2
/
Groups
/
{id}
Get SCIM Group
curl --request GET \
  --url https://eu1.api.matillion.com/dpc/v1/directory-integration/scim/v2/Groups/{id} \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "created": "2023-11-07T05:31:56Z",
    "lastModified": "2023-11-07T05:31:56Z",
    "location": "<string>",
    "resourceType": "<string>",
    "version": "<string>"
  },
  "accountId": "<string>",
  "accountName": "<string>",
  "displayName": "<string>",
  "environment": "<string>",
  "externalId": "<string>",
  "id": "<string>",
  "members": [
    {
      "display": "<string>",
      "ref": "<string>",
      "type": "USER",
      "value": "<string>"
    }
  ],
  "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "projectName": "<string>",
  "role": "<string>",
  "schemas": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

id
string
required

Group ID

Response

Group retrieved successfully

meta
object
required
accountId
string

The unique identifier of the Matillion account this group belongs to

accountName
string

The human-readable name of the Matillion account

displayName
string
environment
string

The unique identifier of the environment this group is associated with

externalId
string
id
string
Required string length: 1 - 2147483647
members
object[]
projectId
string<uuid>

The unique identifier of the project this group is associated with

projectName
string

The human-readable name of the project

role
string

The role assigned to this group within the Matillion platform

schemas
string[]
Required array length: 1 - 2147483647 elements